Get Projects Details Using GET

Get Projects Details Using GET

Get the project details (Use projectId value "default" for accessing the default project)

Access Policy

Role User Accounts Service Accounts (Client Credentials Applications)
Organization Admin ✔️ ✔️
Organization Owner ✔️ ✔️
Project Admin ✔️ ✔️
Request
URI
GET
https://{api_host}/csp/gateway/resource/api/v1/orgs/{orgId}/projects/{projectId}
COPY
Path Parameters
string
orgId
Required

Parent organization ID for the project

string
projectId
Required

Identifier of the project specified

Query Parameters
boolean
includeMetadata
Optional
Constraints: default: false

If project metadata is included in response

string
metadataType
Optional
Constraints: default: CUSTOM

Project metadata type

Possible values are : CUSTOM, SYSTEM,

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Project of type(s) application/json
{
    "createdBy": "string",
    "creationDate": "string",
    "depth": 0,
    "description": "string",
    "displayName": "string",
    "enabledServices": [
        "string"
    ],
    "id": "string",
    "lastModifiedBy": "string",
    "lastModifiedDate": "string",
    "leaf": false,
    "parentPath": "string",
    "parentProjectId": "string",
    "projectMetadata": {
        "metadataContents": {
            "metadataContents": "string"
        },
        "metadataType": "string"
    },
    "subResourceServiceScopes": [
        "string"
    ],
    "type": "string",
    "vrn": "string"
}
string
createdBy
Optional

Username or clientId of the project creator

string As date-time As date-time
creationDate
Optional

Date of project creation

integer As int32 As int32
depth
Optional

depth

string
description
Optional

Description of the project

string
displayName
Required

Name of the project

array of string
enabledServices
Optional

List of serviceDefinitionIds of enabled services for this project

string
id
Required

ID generated by the system

string
lastModifiedBy
Optional

Username or clientId of the project modifier

string As date-time As date-time
lastModifiedDate
Optional

Date of last project modification

boolean
leaf
Optional

leaf

string
parentPath
Optional

parentPath

string
parentProjectId
Optional

Parent project of this project

object
projectMetadata
Optional

projectMetadata

array of string
subResourceServiceScopes
Optional

List of serviceDefinitionIds of allowed services for this project's children (Default is all)

string
type
Optional

Type of project (Default is CUSTOM)

Possible values are : CUSTOM, SYSTEM, ORG_DEFAULT,
string
vrn
Optional

vrn


401

Unauthorized

Returns CspErrorResponse of type(s) application/json
"CspErrorResponse Object"
string
cspErrorCode
Optional

cspErrorCode

string
errorCode
Optional

errorCode

string
message
Optional

message

integer As int32 As int32
moduleCode
Optional

moduleCode

string
requestId
Optional

requestId

integer As int32 As int32
statusCode
Optional

statusCode


403

The user is forbidden to use the API

Returns CspErrorResponse of type(s) application/json
"CspErrorResponse Object"
string
cspErrorCode
Optional

cspErrorCode

string
errorCode
Optional

errorCode

string
message
Optional

message

integer As int32 As int32
moduleCode
Optional

moduleCode

string
requestId
Optional

requestId

integer As int32 As int32
statusCode
Optional

statusCode


404

Not Found

Returns CspErrorResponse of type(s) application/json
"CspErrorResponse Object"
string
cspErrorCode
Optional

cspErrorCode

string
errorCode
Optional

errorCode

string
message
Optional

message

integer As int32 As int32
moduleCode
Optional

moduleCode

string
requestId
Optional

requestId

integer As int32 As int32
statusCode
Optional

statusCode


429

The user has sent too many requests

Returns CspErrorResponse of type(s) application/json
"CspErrorResponse Object"
string
cspErrorCode
Optional

cspErrorCode

string
errorCode
Optional

errorCode

string
message
Optional

message

integer As int32 As int32
moduleCode
Optional

moduleCode

string
requestId
Optional

requestId

integer As int32 As int32
statusCode
Optional

statusCode


500

Internal Server Error

Returns CspErrorResponse of type(s) application/json
"CspErrorResponse Object"
string
cspErrorCode
Optional

cspErrorCode

string
errorCode
Optional

errorCode

string
message
Optional

message

integer As int32 As int32
moduleCode
Optional

moduleCode

string
requestId
Optional

requestId

integer As int32 As int32
statusCode
Optional

statusCode


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/csp/gateway/resource/api/v1/orgs/{orgId}/projects/{projectId}